cURL
curl --request GET \ --url https://controller.platform.simplecloud.app/v0/persistent-servers \ --header 'X-Network-ID: <x-network-id>' \ --header 'X-Network-Secret: <x-network-secret>'
{ "count": 5, "persistent_servers": [ { "active": true, "created_at": "2023-01-01T12:00:00Z", "max_memory": 2048, "max_players": 50, "min_memory": 1024, "name": "my-persistent-server", "persistent_server_id": "123e4567-e89b-12d3-a456-426614174000", "player_count": 0, "priority": 10, "properties": {}, "serverhost_id": "123e4567-e89b-12d3-a456-426614174000", "source": { "blueprint": "123e4567-e89b-12d3-a456-426614174000", "image": "ghcr.io/user/custom-image:latest", "type": "blueprint" }, "tags": [ "<string>" ], "type": "SERVER", "updated_at": "2023-01-01T12:00:00Z", "workflows": { "manual": [ "<string>" ], "when": { "start": [ "<string>" ], "stop": [ "<string>" ] } } } ] }
Get a list of persistent servers for a network
Documentation IndexFetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
Use this file to discover all available pages before exploring further.
Network ID
Network Secret
OK
Response for listing persistent servers
5
Show child attributes
Was this page helpful?